Package Details: subsurface-git 20160810.cccd4cd-1

Git Clone URL: (read-only)
Package Base: subsurface-git
Description: Divelog program
Upstream URL:
Licenses: GPL2
Conflicts: subsurface
Provides: subsurface
Submitter: Francois_B
Maintainer: vesath
Last Packager: vesath
Votes: 8
Popularity: 0.000000
First Submitted: 2011-09-25 04:33
Last Updated: 2016-08-12 00:53

Latest Comments

vesath commented on 2015-01-10 09:18

This new build fully depends on Qt5. Please report any packaging issues here.

Francois_B commented on 2015-01-08 14:04

I'm not going to maintain this one anymore. The subsurface package moved to official repo.

theru commented on 2015-01-08 08:53

looks like some dependencies changed - it now needs qt5 and marble compiled with qt5 (I think) The url for the homepage also changed - but looks like there is a redirect.

unclesam commented on 2014-02-17 10:25

Subsurface conflicts the cinnamon filemanager nemo.

Francois_B commented on 2013-12-23 16:19

@alcomatt. Thanks for your message. I made your your modification and some others to have a functionnal package.

alcomatt commented on 2013-12-19 12:38

Does not build due to switch to QT by subsurface team:

Needs qmake-qt4 before make like in the example below, also perhaps qt4 dependency check. Can upload revised PKGBUILD if need be.

msg "GIT checkout done or server timeout"
msg "Starting make..."

rm -rf "$srcdir/$_gitname-build"
git clone "$srcdir/$_gitname" "$srcdir/$_gitname-build"
cd "$srcdir/$_gitname-build"
#Prevent pacman/namcap warning

Francois_B commented on 2013-05-15 18:55

Let me know if the last update fixed the problem.

defcon commented on 2013-05-14 16:15

divelist.c:43:17: zip.h not found
#include <zip.h>

can't compile subsurface-git

Francois_B commented on 2013-01-16 19:05

Updated. Thanks for the information.

theru commented on 2013-01-13 20:22

you might want to put in osm-gps-map as a dependency and pull from instead of github it appears Dirk has a bit of trouble pushing to github atm. And cheers for the effort :)

bergersau commented on 2012-10-31 02:57

Thanks for your efforts Francois.
All good.

Francois_B commented on 2012-10-26 11:15

Uploaded there:

Francois_B commented on 2012-10-26 08:34

PS: I will submit the stable version on aur very soon.

Francois_B commented on 2012-10-26 08:33

This package compiles the code from the git repository (that's why there is a -git label in the name). So, it's automatically the last version. If you want to update, juste rebuild the package and install it as usual. I unflag the package. If you encounter any issue, please, let me know.

bergersau commented on 2012-10-26 01:11

Version 2.1 released on 2012/10/22

Francois_B commented on 2011-10-20 20:03

Everything should be OK now. Libdivecomputer has been updated to be located in /usr instead of /usr/local. icon-theme.cache came from the upstream Makefile. Icons are handled by PKGBUILD now, so the cache file vanished.

Thank you for your patience.

haagch commented on 2011-10-20 16:52

Almost... but packaging /usr/share/icons/hicolor/icon-theme.cache is too much. :)

Francois_B commented on 2011-10-19 18:13

Package updated. It was already on my todo list. I corrected the points you pointed out. I still have a correction to add, it will be released soon.

haagch commented on 2011-10-19 08:48

I don't think the binary in /usr/bin/usr/bin/subsurface is intentional...
When starting it says that the icon file subsurface.svg is not found, maybe needs packaging.